YUI().use('io', 'json-parse', 'querystring', 'node', 'webui', function(Y) {

  var query = window.location.search.split('?')[1];

  var ticket_id = null;
  if (query) {
    var ob = Y.QueryString.parse(query);
    var ticket_id = ob.ticket_id;
  }

  if (ticket_id) {
    var ticket = Y.webui.get_ticket(ticket_id, Y.one('#container'));
  }

  var refresh_rate = Y.one("#refresh_rate");
  refresh_timeout = null;
  refresh_rate.on('change', function(e) {
    var value = refresh_rate.get('value');
    if (refresh_timeout) {
      clearTimeout(refresh_timeout);
    }
    interval = parseInt(value) * 1000;
    Y.webui.update_tickets();
  });

});

/* Unit tests */
YUI().use('webui', function(Y) {

});
